[i915g] GPU hang accessing tiled subsurface

Bug #1232546 reported by axion on 2013-09-28
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

The X-Server did not actually freeze up, only when windows are deactivated ( aka a window that is minimised ) the system doesn't redraw the background of the X-server. See the added example screen shots.

ps. I am voluntarily running Gnome-fallback, newer gnome versions all stifle my productivity.

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-video-intel 2:2.21.14-4ubuntu4
ProcVersionSignature: Ubuntu 3.11.0-9.16-generic 3.11.2
Uname: Linux 3.11.0-8-generic i686
ApportVersion: 2.12.5-0ubuntu1
Architecture: i386
Chipset: i915g
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Fri Sep 27 16:46:48 2013
DistUpgraded: 2013-09-18 12:45:51,582 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
DuplicateSignature: [i915g] GPU lockup IPEHR: 0x7d8e0001 Ubuntu 13.10
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 82915G/GV/910GL Integrated Graphics Controller [8086:2582] (rev 04) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:3007]
InstallationDate: Installed on 2013-09-13 (14 days ago)
InstallationMedia: Ubuntu-GNOME 13.04 "Raring Ringtail" - Release i386 (20130424)
InterpreterPath: /usr/bin/python3.3
MachineType: Hewlett-Packard HP Compaq dc7100 USDT(PN286ET)
MarkForUpload: True
ProcCmdline: /usr/bin/python3 /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-9-generic root=UUID=4057cba2-bf3f-402c-8734-0030c0c32620 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.7+1ubuntu5
 libdrm2 2.4.46-1
 xserver-xorg-video-intel 2:2.21.14-4ubuntu4
SourcePackage: xserver-xorg-video-intel
Title: [i915g] False GPU lockup IPEHR: 0x7d8e0001
UpgradeStatus: Upgraded to saucy on 2013-09-18 (10 days ago)
UserGroups:

dmi.bios.date: 08/07/2008
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786C1 v02.15
dmi.board.name: 0980h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: HUB522032G
dmi.chassis.type: 15
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786C1v02.15:bd08/07/2008:svnHewlett-Packard:pnHPCompaqdc7100USDT(PN286ET):pvr:rvnHewlett-Packard:rn0980h:rvr:cvnHewlett-Packard:ct15:cvr:
dmi.product.name: HP Compaq dc7100 USDT(PN286ET)
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu9
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sat Sep 28 22:05:31 2013
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input Apple, Inc Apple Keyboard KEYBOARD, id 8
 input Apple, Inc Apple Keyboard KEYBOARD, id 9
 input Belkin Washable Mouse MOUSE, id 10
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 19186
 vendor GSM
xserver.version: 2:1.14.2.901-2ubuntu6

axion (bugzilla-axion) wrote :
axion (bugzilla-axion) wrote :

Screenshot 4 is the after closing several windows shot. This is the third one in sequence

axion (bugzilla-axion) wrote :

the second screenshot.

axion (bugzilla-axion) wrote :

The before closing windows shot.

tags: removed: need-duplicate-check
Chris Wilson (ickle) wrote :

The hang looks to be a bug in specifying the tiled subsurface on i915g (the offset is probably not sufficiently well aligned). The corruption in the background is just nautilus not redrawing the root window (since 3.8).

summary: - [i915g] False GPU lockup IPEHR: 0x7d8e0001
+ [i915g] GPU hang accessing tiled subsurface
Chris Wilson (ickle) wrote :

commit 81d00c51018464929cdb3755adb334cb9a89d166
Author: Chris Wilson <email address hidden>
Date: Sun Sep 29 14:29:06 2013 +0100

    sna: Apply the non-relaxed fencing partial paranoia everywhere

    This is required to ensure that the tiled offsets are tile-row aligned.

    Bugzilla: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1232546
    Signed-off-by: Chris Wilson <email address hidden>

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.904-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.904-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - new release candidate (LP: #1218839, #1157458, #1216252, #1232546)
  * xmir.patch: refreshed.
 -- Timo Aaltonen <email address hidden> Wed, 09 Oct 2013 19:40:51 +0300

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
axion (bugzilla-axion) wrote :

This problem has not been fixed, I installed 2.99.904 to no avail. Problem is still the same.

axion (bugzilla-axion) wrote :

sorry 2:2.99.904-0ubuntu2 is installed is that one patched as well ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers